Get template

Prev Next

Available in Classic and VPC

Get template information of Alim Talk.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /alimtalk/v2/services/{serviceId}/templates

Request headers

For information about the headers common to all Simple & Easy Notification Service APIs, see Simple & Easy Notification Service request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
serviceId String Required Biz Message service ID

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
channelId String Required Channel ID
templateCode String Optional Template code
  • When entered, it returns the template details (inspection content, additional information, etc.).
templateName String Optional Template name
  • Filter values that match in whole or in part.
pageSize Integer Optional Number of items per page
  • 1-100 (default: 100)
pageIndex Integer Optional Page index
  • 0-N (default: 0)

Request example

The request example is as follows:

curl --location --request GET 'https://sens.apigw.ntruss.com/alimtalk/v2/services/ncp:kkobizmsg:kr:16******8:sens/templates?channelId=%40********' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' 

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
createTime String Required Template creation date and time
  • YYYY-MM-DDTHH:mm:ss.sss format
updateTime String Optional Template modification date and time
  • YYYY-MM-DDTHH:mm:ss.sss format
channelId String Required Channel ID
templateCode String Required Template code
templateName String Required Template name
categoryCode String Required Template category code
categoryName String Required Template category
messageType String Required Message type
  • BA | EX | AD | MI
    • BA: Basic type
    • EX: Additional information type
    • AD: Add channel type
    • MI: Mixed type
emphasizeType String Required Highlight type
  • NONE | TEXT | IMAGE | ITEM_LIST
    • NONE: Basic type
    • TEXT: Highlight type
    • IMAGE: Image type
    • ITEM_LIST: Item list type
content String Required Template content
adContent String Optional Ad content
  • Display when ad content exists.
extraContent String Optional Additional information content
  • Display when additional information exists.
title String Optional Highlight information title
additionalTitle String Optional Highlight information secondary title
comments Array Optional Inspection information
  • Display when querying template details.
templateInspectionStatus String Required Inspection status
  • ACCEPT | REGISTER | INSPECT | COMPLETE | REJECT
    • ACCEPT: Accepted
    • REGISTER: Standby
    • INSPECT: Processing
    • COMPLETE: Completed
    • REJECT: Rejected
templateStatus String Required Template status
  • ACTIVE | READY | NOT_REGISTER | STOP
    • ACTIVE: Normal
    • READY: Registration completed
    • NOT_REGISTER: Pending registration
    • STOP: Stopped
buttons Array Optional Button list
  • Up to 5
securityFlag Boolean Required Security setting status
  • true | false
    • true: Enable
    • false: Disable
isBlock Boolean Required Whether it is blocked
  • true | false
    • true: Blocked
    • false: Not blocked
isDormant Boolean Required Dormancy
  • true | false
    • true: Dormant
    • false: Not dormant
useImage Boolean Required Image usage
  • true | false
    • true: Enable
    • false: Disable
imageName String Optional Image file name
imageUrl String Optional Image URL
useHeaderContent Boolean Required Header usage
  • true | false
    • true: Enable
    • false: Disable
headerContent String Optional Header content
useItemHighlight Boolean Required Item highlight usage
  • true | false
    • true: Enable
    • false: Disable
useItemHighlightImage Boolean Required Item highlight image usage
  • true | false
    • true: Enable
    • false: Disable
itemHighlight Object Optional Item highlight information
itemHighlight.title String Optional Item highlight title
itemHighlight.description String Optional Item highlight content
itemHighlight.imageUrl String Optional Item highlight image URL
item Object Optional Item list information
item.list Array Optional Item list
item.summary Object Optional Item summary information
item.summary.title String Optional Item summary title
item.summary.description String Optional Item summary content

comments

The following describes comments.

Field Type Required Description
commentId String Required Inspection ID
content String Required Inspection content
status String Required Inspection status
  • APR | REJ
    • APR: Inspection completed
    • REJ: Inspection rejected
createTime String Required Inspection date and time
  • YYYY-MM-DD HH:mm:ss format
attachment Array Optional Inspection inquiry content Attachment

attachment

The following describes attachment.

Field Type Required Description
fileName String Required Attachment name
fileUrl String Required Attachment URL

buttons

The following describes buttons.

Field Type Required Description
order Integer Required Button order
type String Required Button type
  • DS | WL | AL | BK | MD | AC
    • DS: Shipment tracking
    • WL: Web link
    • AL: App link
    • BK: Bot keyword
    • MD: Message delivery
    • AC: Add channel
name String Required Button name
linkMobile String Optional Mobile web link
linkPc String Optional PC web link
schemeIos String Optional iOS app link
schemeAndroid String Optional Android app link

item.list

The following describes item.list.

Field Type Required Description
title String Required Name of the item
description String Required Item content

Response status codes

For information about the HTTP status codes common to all Simple & Easy Notification Service APIs, see Simple & Easy Notification Service response status codes.

Response example

The response example is as follows:

When querying list

[
  {
    "createTime": "2025-11-25T10:38:52.604",
    "updateTime": "2025-11-25T10:41:21.538",
    "channelId": "@********",
    "templateCode": "templatecode1",
    "templateName": "t001"
  }
]

When querying details (querying including templateCode)

[
    {
        "createTime": "2025-11-25T10:38:52.604",
        "updateTime": "2025-11-25T10:41:21.538",
        "channelId": "@********",
        "templateCode": "templatecode1",
        "templateName": "t001",
        "categoryCode": "009001",
        "categoryName": "Coupon issuance",
        "messageType": "BA",
        "emphasizeType": "TEXT",
        "content": " New customer welcome coupon!\nSign up now to receive a 5000 KRW\ncoupon you can use right now.\n Get coupon: #{URL}",
        "title": "New customers benefit",
        "additionalTitle": "New customer welcome coupon issuance",
        "comments": [],
        "templateInspectionStatus": "REGISTER",
        "templateStatus": "READY",
        "buttons": [],
        "securityFlag": false,
        "isBlock": false,
        "isDormant": false,
        "useImage": false,
        "useHeaderContent": false,
        "useItemHighlight": false
    }
]